using skydiveLogs_api.Domain;
using System;
using System.Collections.Generic;

namespace skydiveLogs_api.DomainService.Repositories
{
    public interface ITunnelFlightRepository : IRepository<TunnelFlight>
    {
        #region Public Methods

        IEnumerable<TunnelFlight> GetAll(User user);

        IEnumerable<TunnelFlight> GetBetweenIndex(User user, int beginIndex, int endIndex);

        IEnumerable<TunnelFlight> GetBetweenDate(User user, DateTime beginDate, DateTime endDate);

        int GetCount(User user);

        bool DeleteById(int id);

        #endregion Public Methods
    }
}